# PhasicFlow: cuboidWall Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

cuboidWall Class Reference
Inheritance diagram for cuboidWall:
[legend]
Collaboration diagram for cuboidWall:
[legend]

## Public Member Functions

| TypeInfo ("cuboidWall")
| cuboidWall ()
| cuboidWall (const dictionary &dict)
| add_vCtor (Wall, cuboidWall, dictionary)
Public Member Functions inherited from Wall
| TypeInfo ("Wall")
| Wall ()
| Wall (const dictionary &dict)
virtual | ~Wall ()=default
| create_vCtor (Wall, dictionary,(const dictionary &dict),(dict))
const auto & | triangles () const
word | name () const
word | materialName () const
word | motionName () const

## Protected Member Functions

bool | readcuboidWall (const dictionary &dict)
Protected Member Functions inherited from Wall
bool | readCommon (const dictionary &ditc)

## Additional Inherited Members

Static Public Member Functions inherited from Wall
static bool | checkTrianlge (const realx3 &p1, const realx3 &p2, const realx3 &p3)
static uniquePtr< Wall > | create (const dictionary &dict)
Protected Attributes inherited from Wall
std::vector< realx3x3 > | triangles_
word | name_
word | materialName_
word | motionName_

## Detailed Description

Definition at line 32 of file cuboidWall.hpp.

## Constructor & Destructor Documentation

## cuboidWall() [1/2]

cuboidWall | ( |  | ) |

Definition at line 126 of file cuboidWall.cpp.

## cuboidWall() [2/2]

cuboidWall | ( | const dictionary & | dict | ) |

Definition at line 130 of file cuboidWall.cpp.

References fatalExit.

## Member Function Documentation

## readcuboidWall()

bool readcuboidWall | ( | const dictionary & | dict | ) |

protected

Definition at line 28 of file cuboidWall.cpp.

References dictionary::getVal(), dictionary::getValOrSet(), pFlow::algorithms::KOKKOS::max(), Wall::triangles(), triple< T >::x(), triple< T >::y(), and triple< T >::z().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "cuboidWall" |  | ) |

## add_vCtor()

add_vCtor | ( | Wall | ,
|  | cuboidWall | ,
|  | dictionary |
| ) |  |

The documentation for this class was generated from the following files:

- utilities/Utilities/geometryPhasicFlow/cuboidWall/cuboidWall.hpp
- utilities/Utilities/geometryPhasicFlow/cuboidWall/cuboidWall.cpp